#### PyKDE - Python Bindings for KDE

# class KMdiTaskBarButton |
Table of contents
Modules
tdemdi Classes
All Classes

Module | tdemdi
Class | KMdiTaskBarButton
Inherits | TQPushButton

### methods

- KMdiTaskBarButton (pTaskBar, win_ptr)

  returns a KMdiTaskBarButton instance
  Argument | Type | Default
  --- | --- | ---
  pTaskBar | KMdiTaskBar |
  win_ptr | KMdiChildView |

- actualText ()

  returns (TQString)

- buttonTextChanged (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- clicked (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KMdiChildView |

- fitText (a0, newWidth)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |
  newWidth | int |

- leftMouseButtonClicked (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KMdiChildView |

- mousePressEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQMouseEvent |

- rightMouseButtonClicked (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KMdiChildView |

- setNewText (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |

- setText (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |

### variables

- variables

  Variable | Type
  --- | ---
  m_pWindow | KMdiChildView*